Subject: Re: [CGit RFC/PATCH 0/5] Commit graph on CGit's 'log' view

From: Johan Herland <[email-masked]>
Date: Wed, 14 Jul 2010 07:59:01 +0200

On Wednesday 14 July 2010, Lars Hjemli wrote:
> On Tue, Jul 13, 2010 at 23:40, Johan Herland <[email-masked]> wrote:
> > Here are some patches to implement an ASCII-art commit graph on CGit's
> > 'log' page. The patches reuse the graph-drawing code from Git's own
> > 'git log --graph'. As such, these patches depend on the two patches
> > I just submitted to the Git list for extending the graph.h API.
> 
> Thanks. I've applied the git patches to the jh/graph branch in
> git://hjemli.net/pub/git/git (based on v1.7.1-rc2) and updated the
> submodule in cgit to point at the tip of this branch. The cgit patches
> are then applied on top of this and merged into the wip branch in
> git://hjemli.net/pub/git/cgit.

Thanks.

> The end result can be seen in action at http://hjemli.net/git/cgit/log
> [1] - it works, but I'll have to think about possible compromises
> between correctness and performance (i.e. the dependency on
> --topo-order).

Yes, this feature definitely introduces a performance tradeoff. IMHO it's up 
to the server admin to choose whether to enable this in the config or not. 
If you're serving large repos from a small server, you might simply want to 
turn it off.

We might also want to consider adding a query (and cookie?) flag enabling 
visitors to turn off graphs for faster browsing as well.

BTW, have you had time to look at my previous patch series for ignoring 
whitespace in diffs?

Have fun! :)

...Johan

-- 
Johan Herland, <[email-masked]>
www.herland.net